registry = ipsRegistry::instance(); $this->settings =& $this->registry->fetchSettings(); } public function getOutput() { return; } public function replaceOutput($output, $key) { require_once( IPSLib::getAppDir('ibprobattle') . '/sources/battleHooks.php' ); $this->battleHook = new battleHooks( $this->registry ); return $this->battleHook->statsTopicView($output, $key); } } ?>registry = ipsRegistry::instance(); $this->settings =& $this->registry->fetchSettings(); } public function getOutput() { require_once( IPSLib::getAppDir('ibprobattle') . '/sources/battleHooks.php' ); $this->battleHook = new battleHooks( $this->registry ); return $this->battleHook->statsTopicViewJS(); } } ?> Finally a new osx build for raine ! - Raine - 1Emulation.com

Jump to content

Welcome to 1Emulation.com
Register now to gain access to all of our features. Once registered and logged in, you will be able to create topics, post replies to existing threads, give reputation to your fellow members, get your own private messenger, post status updates, manage your profile and so much more. This message will be removed once you have signed in.
Login to Account Create an Account
Photo

Finally a new osx build for raine !

- - - - -

  • Please log in to reply
2 replies to this topic

#1
Tux

Tux

    Author of Raine

  • Emulator Author
  • 194 posts
  • Gender:Male
  • Location:Nantes, France

It's a good old build where you drag directories and it just works, contrary to all the mess of last year. A kind of christmas present !

It was built on Sierra, it might be compatible with some previous osx versions but I didn't test that.

You'll find it at the top of the mac os page.

You need the frameworks linked from the page to make this version to work.

There are a few osx minor fixes in it : new default key for fps counter f12 instead of f11 since f11 is reserved for the finder, fix to detect mounted directories in the file selector, included m68kdis and dz80 since it's difficult to install them in the current osx version (usefull only in the console anyway), allow to use opengl when non accelerated (actually probably only usefull when running from a virtual machine !).

Also this version returns to using the assembler version of the video core and the 68020 emulator, which is more like the raine spirit !

 

Also I wonder if it's worth updating the windows version, a small fix for kof98 for mer-curious in it, the fix to force the double buffer setting in opengl, the ability to setup the locations of m68kdis and dz80 for the console... Most of the previous changes were for osx, but there are a few details which could be usefull to other operating systems as well...

The updated instructions to compile raine in osx are there.


Edited by Tux, 19 December 2016 - 01:18 PM.


#2
rrshier

rrshier

    Newbie Poster

  • Members+
  • 7 posts

I think the build instructions need to be updated.  Trying to build on my own and I keep running into problems where the linker is telling me the libraries have no i386 capability.  Every attempt I try to install them, results in the same problem.  When I run "brew options xxxx" where xxxx is any of the libraries necessary, the --universal option does not appear for any of them.  What this is telling me is that home-brew is no longer supporting 32 bit install on mac os x.

 

If you are using a system that already has them installed, then this may be how you are still able to build, but for anybody who doesn't have them???  As a suggestion, the build that you are providing is built against frameworks, but the frameworks you provide doesn't have the headers.  If you provide versions of the frameworks that you are using to build (as they have to contain the headers) could be a possibility.

 

 

 

 

 

Also, the build that you have up on "http://raine.1emulat...load/macos.html" is giving a runtime error.  The log gives:

 

"Dyld Error Message:

  Library not loaded: @executable_path/../SDL.framework/Versions/A/SDL
  Referenced from: /Volumes/VOLUME/*/Raine.app/Contents/MacOS/Raine
  Reason: Incompatible library version: Raine requires version 12.0.0 or later, but SDL provides version 1.0.0"
 
Somehow the SDL version that it is looking for is incorrect.  I have installed the frameworks that you provide into the location you state to put them.
 
 
Thanks Much


#3
Tux

Tux

    Author of Raine

  • Emulator Author
  • 194 posts
  • Gender:Male
  • Location:Nantes, France

I have read that apple wants to remove the ability to run 32 bits applications from osx, maybe it's already done ?

In that case you can tell bye bye to raine, there will never be any 64 bits version of it, too many things to change for that. Best options in this case are either to use something in osx to run windows programs and run the windows version, or to run it from a virtual machine (supporting opengl, most of them do now).

 

Anyway the readme was actually updated 7 months ago, that's not that old, the latest version is here :

https://github.com/z...ster/README.OSX

It was not using frameworks anymore already, but if your brew doesn't support 32 bits binary anymore, you are screwed.

I tried to make some binaries for osx but sadly the osx tools tie the binaries with the osx version they were built on, and the osx version I used was already old (sorry I don't have any real mac around, using a virtual machine for that, and it was heroic because apple doesn't want you to run osx from a virtual machine running on anything else than osx, so it required some unofficial patches that I was lucky to find !).

 

Too bad homebrew removed support for 32 bits binaries so quickly it was working very well and was easy to use.

I can't do much for you in this situation. Post something to homebrew forums to tell about that if you have the time... there might be a way to install a version of homebrew which still supports 32 bits binaries and in this case it might be your easiest solution. Good luck and please post here if you find a solution !






0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users